<?php
/**
 * PeachPay WC Subscriptions Importer module.
 *
 * @package PeachPay
 */

if ( ! defined( 'PEACHPAY_ABSPATH' ) ) {
	exit;
}

require_once PEACHPAY_ABSPATH . 'core/admin/class-peachpay-admin-section.php';
require_once PEACHPAY_ABSPATH . 'core/modules/wc-subscription-import/class-peachpay-wc-subscription-import-settings.php';

/**
 * Initializes PeachPay WC Subscriptions Importer settings section.
 */
final class PeachPay_WC_Subscription_Import {

	/**
	 * Initialize importer module.
	 *
	 * @return void
	 */
	public static function init() {
		PeachPay_Admin_Section::create(
			'wc-subscription-import',
			array(
				new PeachPay_WC_Subscription_Import_Settings(),
			),
			array(),
			false
		);
	}
}

PeachPay_WC_Subscription_Import::init();
